const {
  api
} = require("../../utils/api")

// pages/community/info.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: '',
    info: null,
    content: '',
    autoSize: {maxHeight: 300, minHeight: 60}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const id = options.id
    this.data.id = id
    this.fetchInfo()
  },

  fetchInfo() {
    api('/post/detail', 'GET', {
      id: this.data.id
    }).then(res => {
      if (res.code == 200) {
        const tmp = res.data
        this.setData({
          info: tmp
        })
      }
    })
  },

  input(e) {
    const value = e.detail.value
    console.log(value);
    this.data.content = value
  },
  add() {
    const data = {
      content: this.data.content,
      postId: this.data.id,
      parentId: this.data.id,
      rootId: this.data.id
    }
    api('/comment/add', 'POST', data, 'json').then(res => {
      if (res.code === 200) {
        this.fetchInfo()
        this.setData({content:''})
      }
    })
  },

  goPreview(e) {
    const currentUrl = e.currentTarget.dataset.url; // 获取当前点击的图片链接
    const list = this.data.info.imgList.map(e => e.url)
    wx.previewImage({
      current: currentUrl, // 当前显示图片的http链接
      urls: list// 需要预览的图片http链接列表
    })
  },


  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})